Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.support
Class ScheduledMethodRunnable

    java.lang.Object
      org.springframework.scheduling.support.ScheduledMethodRunnable

All Implemented Interfaces:
  Runnable

    public class ScheduledMethodRunnable

extends Object
implements Runnable

Variant of `MethodInvokingRunnable` meant to be used for processing of no-arg scheduled methods. Propagates user exceptions to the caller, assuming that an error strategy for Runnables is in place.

Since:
  3.0.6
Author:
  Juergen Hoeller
See Also:
  `ScheduledAnnotationBeanPostProcessor`

Constructor Summary
`ScheduledMethodRunnable(Object target, Method method)`
`ScheduledMethodRunnable(Object target, String methodName)`

Method Summary
`Method` | `getMethod()`
`Object` | `getTarget()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduledMethodRunnable

    public ScheduledMethodRunnable(Object target,
                                   Method method)

### ScheduledMethodRunnable

    public ScheduledMethodRunnable(Object target,
                                   String methodName)
                            throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

Method Detail

### getTarget

    public Object getTarget()

### getMethod

    public Method getMethod()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD